import { createApp } from 'vue'
import { createPinia } from 'pinia'
import router from '@/router'
import App from '@/App.vue'
import useECharts from '@/plugins/echarts'
import bootstrap from '@/bootstrap'
import { setupDirectives } from '@/directives'
import 'virtual:svg-icons-register'
import { ElLoading, ElTooltip } from 'element-plus'
import 'element-plus/theme-chalk/el-loading.css'
import '@style/app.scss'

import 'element-plus/theme-chalk/src/message.scss'
import 'splitpanes/dist/splitpanes.css'
const app = createApp(App)
setupDirectives(app)
app.use(createPinia()).use(router).use(ElLoading).use(ElTooltip)
useECharts()

app.mount('#app')

bootstrap()
